import { API_URL } from '$env/static/private';
import type { LeaderboardEvent } from '$lib/types';

import type { PageServerLoad } from './$types';

export const load = (async ({ parent, fetch, cookies }) => {
	await parent();

	const session = cookies.get('session');

	// TODO: change this
	const res = await fetch(`${API_URL}/leaderboard/1`, {
		headers: {
			Authorization: `Bearer ${session}`
		}
	});

	if (!res.ok) {
		return {
			leaderboard: {} as LeaderboardEvent
		};
	}

	const leaderboard = (await res.json()) as LeaderboardEvent;

	return {
		leaderboard
	};
}) satisfies PageServerLoad;
